org.eclipse.viatra.query.runtime.api

## Class ViatraQueryEngineOptions.Builder

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.ViatraQueryEngineOptions.Builder

- Enclosing class:
    ViatraQueryEngineOptions

      public static final class ViatraQueryEngineOptions.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`
    `Builder(ViatraQueryEngineOptions from)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ViatraQueryEngineOptions` | `build()`
    `ViatraQueryEngineOptions.Builder` | `withDefaultBackend(IQueryBackendFactory defaultBackendFactory)` Note that this backend factory overrides the factory defined by the hint added by `withDefaultHint(QueryEvaluationHint)`.
    `ViatraQueryEngineOptions.Builder` | `withDefaultCachingBackend(IQueryBackendFactory defaultCachingBackendFactory)`
    `ViatraQueryEngineOptions.Builder` | `withDefaultHint(QueryEvaluationHint engineDefaultHints)` Note that the backend factory in the hint is overridden by a factory added with `withDefaultBackend(IQueryBackendFactory)`.
    `ViatraQueryEngineOptions.Builder` | `withDefaultSearchBackend(IQueryBackendFactory defaultSearchBackendFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder(ViatraQueryEngineOptions from)

  - ### Method Detail

    - #### withDefaultHint

          public ViatraQueryEngineOptions.Builder withDefaultHint(QueryEvaluationHint engineDefaultHints)

      Note that the backend factory in the hint is overridden by a factory added with `withDefaultBackend(IQueryBackendFactory)`.

    - #### withDefaultBackend

          public ViatraQueryEngineOptions.Builder withDefaultBackend(IQueryBackendFactory defaultBackendFactory)

      Note that this backend factory overrides the factory defined by the hint added by `withDefaultHint(QueryEvaluationHint)`.

    - #### withDefaultSearchBackend

          public ViatraQueryEngineOptions.Builder withDefaultSearchBackend(IQueryBackendFactory defaultSearchBackendFactory)

      Since:
        2.0

    - #### withDefaultCachingBackend

          public ViatraQueryEngineOptions.Builder withDefaultCachingBackend(IQueryBackendFactory defaultCachingBackendFactory)

    - #### build

          public ViatraQueryEngineOptions build()